Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update notification preferences

PUT/workspaces/{organizationId}/notification-preferences
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
inAppboolean
webhookboolean
emailboolean
mutedTypesstring[] | null
Responses
200

Preferences updated

organizationIdstringrequired
userIdstringrequired
inAppbooleanrequired
webhookbooleanrequired
emailboolean | nullrequired
emailExplicitbooleanrequired
mutedTypesstring[] | nullrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PUT 'https://pile.nyc/workspaces/string/notification-preferences' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "inApp": true,
  "webhook": true,
  "email": true,
  "mutedTypes": [
    "string"
  ]
}'
Response
{
  "organizationId": "string",
  "userId": "string",
  "inApp": true,
  "webhook": true,
  "email": true,
  "emailExplicit": true,
  "mutedTypes": [
    "string"
  ],
  "updatedAt": "string"
}

Was this page helpful?